#include <iostream>

using namespace std;

int main()
{
    int a,n;
    int s[1000];
    int res = -1;
    cin>>a>>n;
    for(int i = 0;i<a;i++){
        cin>>s[i];
        if(s[i]<=n && res==-1){
            res=i+1;
        }
    }
    cout<<res;
}